<template>
	<div>
		<div id="resultPart" v-if="$route.query.code == '0'">
			<p style="color: green;">签署成功</p>
			<p>您已成功签署该分合同，请到无限链单平台查看您的签署结果</p>
		</div>
		<div v-else id="resultPart">
			<p style="color: red;">签署失败</p>
			<p>合同签署失败，原因为：{{decodeURI($route.query.msg)}}</p>
			<div style="text-align: center;margin-top: 20px;">
				<button class="layui-btn layui-btn-normal" @click="reSign()">重新签署</button>
			</div>
		</div>
	</div>
</template>

<script>
export default {
	data() {
		return {}
	},
	methods: $.extend(Methods, {
		reSign() {
			this.ajaxRequest({
				url: 'contract/signView',
				type: 'post',
				params: {
					no: this.$route.query.no,
					userCode: this.$route.query.user_code,
					type: 'mobile',
					//TODO ADD
					returnUrl: 'http://ldTest.ooteco.com/#/Test',
					tokenMD5: this.$route.query.token
					//returnUrl: 'http://ooteco.iok.la:26505/#/Test',
				},
				success: res => {
					$('body').append(res.data)
				}
			})
		}
	}),
	mounted() {}
}
</script>

<style scoped="scoped">
div#resultPart {
	margin: 20rem auto;
	padding: 0 20px;
}

div#resultPart > p:nth-child(1) {
	text-align: center;
	font-size: 1.8rem;
}

div#resultPart > p:nth-child(2) {
	margin-top: 1rem;
	text-align: center;
}
</style>